VkPhysicalDeviceIDPropertiesKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
void * | pNext
uint8_t | deviceUUID [VK_UUID_SIZE]
uint8_t | driverUUID [VK_UUID_SIZE]
uint8_t | deviceLUID [VK_LUID_SIZE_KHR]
uint32_t | deviceNodeMask
VkBool32 | deviceLUIDValid

## Detailed Description

Definition at line 4166 of file vulkan.h.

## Field Documentation

## deviceLUID

uint8_t VkPhysicalDeviceIDPropertiesKHR::deviceLUID[VK_LUID_SIZE_KHR]

Definition at line 4171 of file vulkan.h.

## deviceLUIDValid

VkBool32 VkPhysicalDeviceIDPropertiesKHR::deviceLUIDValid

Definition at line 4173 of file vulkan.h.

## deviceNodeMask

uint32_t VkPhysicalDeviceIDPropertiesKHR::deviceNodeMask

Definition at line 4172 of file vulkan.h.

## deviceUUID

uint8_t VkPhysicalDeviceIDPropertiesKHR::deviceUUID[VK_UUID_SIZE]

Definition at line 4169 of file vulkan.h.

## driverUUID

uint8_t VkPhysicalDeviceIDPropertiesKHR::driverUUID[VK_UUID_SIZE]

Definition at line 4170 of file vulkan.h.

## pNext

void* VkPhysicalDeviceIDPropertiesKHR::pNext

Definition at line 4168 of file vulkan.h.

## sType

VkStructureType VkPhysicalDeviceIDPropertiesKHR::sType

Definition at line 4167 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h